﻿Module Module1

    Sub Main()
        Console.WriteLine("PoKeys55 Example 2b - PoExtBus" & vbCrLf)

        ' Create PoKeys55 device object
        Dim device As New PoKeysDevice_DLL.PoKeysDevice()

        ' Enumerate devices (this step must never be ommited!)
        Dim iNumDevices As Integer = device.EnumerateDevices()

        If iNumDevices = 0 Then
            Console.WriteLine("No PoKeys55 devices found!")


            Console.WriteLine(vbCrLf & "Press any key to exit")
            Console.ReadKey()
            Exit Sub

        End If


        ' Connect to first PoKeys55 device
        device.ConnectToDevice(0)


        Dim dataOut(10) As Byte

        ' Set some value for the first device (last element of the dataOut array is sent to first device connected to PoKeys)
        dataOut(9) = &HAA

        device.AuxilaryBusSetData(1, dataOut)


        ' Disconnect from device
        device.DisconnectDevice()

        Console.WriteLine(vbCrLf & "Press any key to exit")
        Console.ReadKey()
    End Sub

End Module
