VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "PoKeys55 example"
   ClientHeight    =   3075
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   4500
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3075
   ScaleWidth      =   4500
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer tmrRefresh 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   4080
      Top             =   2520
   End
   Begin VB.Frame frOperations 
      Caption         =   "Operations"
      Enabled         =   0   'False
      Height          =   1815
      Left            =   120
      TabIndex        =   4
      Top             =   1080
      Width           =   4215
      Begin VB.CheckBox chkInvertOutput 
         Caption         =   "Invert"
         Enabled         =   0   'False
         Height          =   255
         Left            =   2400
         TabIndex        =   9
         Top             =   1020
         Width           =   735
      End
      Begin VB.CheckBox chkInvertInput 
         Caption         =   "Invert"
         Enabled         =   0   'False
         Height          =   255
         Left            =   2400
         TabIndex        =   8
         Top             =   420
         Width           =   855
      End
      Begin VB.CommandButton cmdSetOutput 
         Caption         =   "Set pin 2 as digital output"
         Enabled         =   0   'False
         Height          =   375
         Left            =   240
         TabIndex        =   6
         Top             =   960
         Width           =   2055
      End
      Begin VB.CommandButton cmdSetInput 
         Caption         =   "Set pin 1 as digital input"
         Enabled         =   0   'False
         Height          =   375
         Left            =   240
         TabIndex        =   5
         Top             =   360
         Width           =   2055
      End
      Begin VB.Image Image1 
         Enabled         =   0   'False
         Height          =   375
         Left            =   3360
         Top             =   960
         Width           =   375
      End
      Begin VB.Label Label1 
         Alignment       =   1  'Right Justify
         Caption         =   "click on a circle to toggle output"
         Enabled         =   0   'False
         Height          =   255
         Left            =   960
         TabIndex        =   7
         Top             =   1440
         Width           =   2775
      End
      Begin VB.Shape shStateOutput 
         FillColor       =   &H00FFFFFF&
         FillStyle       =   0  'Solid
         Height          =   375
         Left            =   3360
         Shape           =   2  'Oval
         Top             =   960
         Width           =   375
      End
      Begin VB.Shape shStateInput 
         FillStyle       =   0  'Solid
         Height          =   375
         Left            =   3360
         Shape           =   2  'Oval
         Top             =   360
         Width           =   375
      End
   End
   Begin VB.CommandButton cmdDisconnect 
      Caption         =   "Disconnect"
      Enabled         =   0   'False
      Height          =   375
      Left            =   3000
      TabIndex        =   3
      Top             =   480
      Width           =   1335
   End
   Begin VB.CommandButton cmdConnect 
      Caption         =   "Connect"
      Enabled         =   0   'False
      Height          =   375
      Left            =   1560
      TabIndex        =   2
      Top             =   480
      Width           =   1335
   End
   Begin VB.ComboBox cmbPoKeys55Devices 
      Enabled         =   0   'False
      Height          =   315
      Left            =   2400
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   120
      Width           =   1935
   End
   Begin VB.Label lblSelectID 
      AutoSize        =   -1  'True
      Caption         =   "Select PoKeys55 UserID:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   238
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   180
      Width           =   2160
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim PoKeys55Device As New PoKeysDevice_DLL.PoKeysDevice

Private Enum eFunctions
    no_function = 0
    digital_input = 2
    digital_output = 4
    analog_input = 8
    analog_output = 16
    
    invert_pin = 128
End Enum

Private outputState As Boolean

Private Sub chkInvertInput_Click()
    cmdSetInput_Click
End Sub

Private Sub chkInvertOutput_Click()
    cmdSetOutput_Click
End Sub

Private Sub cmdSetInput_Click()
    If chkInvertInput.Value = Checked Then
        PoKeys55Device.SetPinData_2 0, eFunctions.digital_input + eFunctions.invert_pin
    Else
        PoKeys55Device.SetPinData_2 0, eFunctions.digital_input
    End If
    tmrRefresh.Enabled = True
End Sub

Private Sub cmdSetOutput_Click()
    If chkInvertOutput.Value = Checked Then
        PoKeys55Device.SetPinData_2 1, eFunctions.digital_output + eFunctions.invert_pin
    Else
        PoKeys55Device.SetPinData_2 1, eFunctions.digital_output
    End If
    PoKeys55Device.SetOutput 1, False
    shStateOutput.FillColor = vbBlack
    outputState = False
    Image1.Enabled = True
End Sub


Private Sub cmdConnect_Click()
    If PoKeys55Device.ConnectToDevice(cmbPoKeys55Devices.ListIndex) = True Then
        cmdConnect.Enabled = False
        cmdDisconnect.Enabled = True
        cmbPoKeys55Devices.Enabled = False
        frOperations.Enabled = True
        
        cmdSetInput.Enabled = True
        cmdSetOutput.Enabled = True
        
        chkInvertInput.Enabled = True
        chkInvertOutput.Enabled = True
        
        Image1.Enabled = True
    End If
    
    Dim func As Byte
    For i = 0 To 54
        PoKeys55Device.GetPinData_2 i, func
        Debug.Print func
    Next
End Sub

Private Sub cmdDisconnect_Click()
    PoKeys55Device.DisconnectDevice
    cmdConnect.Enabled = True
    cmdDisconnect.Enabled = False
    cmbPoKeys55Devices.Enabled = True
    frOperations.Enabled = False
    
    cmdSetInput.Enabled = False
    cmdSetOutput.Enabled = False
    
    chkInvertInput.Enabled = False
    chkInvertOutput.Enabled = False
    
    Image1.Enabled = False
    
    tmrRefresh.Enabled = False
End Sub

Private Sub Form_Load()
    Dim iDevices As Integer
    Dim i As Integer
    Dim userID As Byte
    
        
    iDevices = PoKeys55Device.EnumerateDevices()
    
    If iDevices = 0 Then
        cmbPoKeys55Devices.AddItem "no devices"
        Exit Sub
    End If
    
    For i = 0 To iDevices - 1
        PoKeys55Device.ConnectToDevice i
        PoKeys55Device.GetUserID userID
        PoKeys55Device.DisconnectDevice
        
        cmbPoKeys55Devices.AddItem "PoKeys55 - " & userID
    Next i
    
    cmbPoKeys55Devices.ListIndex = 0
    cmbPoKeys55Devices.Enabled = True
    cmdConnect.Enabled = True
    
End Sub

Private Sub Image1_Click()
    outputState = Not outputState
    
    PoKeys55Device.SetOutput 1, outputState
    
    shStateOutput.FillColor = IIf(outputState, vbGreen, vbBlack)
End Sub

Private Sub tmrRefresh_Timer()
    Dim pinState As Boolean
    
    PoKeys55Device.GetInput 0, pinState
    
    If pinState = True Then
        shStateInput.FillColor = vbGreen
    Else
        shStateInput.FillColor = vbBlack
    End If
End Sub
