﻿Module Module1

    Sub Main()

        Console.WriteLine("PoKeys55 Example 1 - device enumeration" & vbCrLf)

        ' Create PoKeys55 device object
        Dim device As New PoKeysDevice_DLL.PoKeysDevice

        ' Enumerate devices (this step must never be ommited!)
        Dim iNumDevices As Integer = device.EnumerateDevices()

        Console.WriteLine("Found " & iNumDevices & " PoKeys55 devices")

        Dim i As Integer

        ' Connect to every device and list data
        For i = 0 To iNumDevices - 1
            device.ConnectToDevice(i)

            Dim userID As Byte = 0
            Dim serialNumber As Integer = 0
            Dim versionMajor As Integer = 0
            Dim versionMinor As Integer = 0

            device.GetUserID(userID)
            device.GetDeviceIDEx(serialNumber, versionMajor, versionMinor)

            Console.WriteLine("Device #" & i & ", UserID: " & userID & ", Serial number: " & serialNumber & _
                ", Version: " & (Int(versionMajor / 16) + 1) & "." & (versionMajor Mod 16) & "." & versionMinor)

            device.DisconnectDevice()
        Next i


        Console.WriteLine(vbCrLf & "Press any key to exit")
        Console.ReadKey()
    End Sub

End Module
